Bug 50797 - Write Ahead Log disk usage very large.
Summary: Write Ahead Log disk usage very large.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL: http://fts.postgresql.org/db/mw/msg.h...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 13:42 UTC by Carwyn T. Edwards
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 20:42:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carwyn T. Edwards 2001-08-03 13:42:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010802

Description of problem:
Version 7.1.2 of postgres (the current version in roswell) can generate
many GB of Write ahead log (WAL) files for long transactions. 

How reproducible:
Always

Steps to Reproduce:
1.Try restoring a pgdump that has a large table (few million rows) in it.
2.
3.
	

Actual Results:  So many log files are generated that the disk partition
fills up and the restore of the database fails.

Expected Results:  Shouldnt' use as much disk space.

Additional info:

A "zcat pgdump.gz | psql" of a 270 Mb pgdump.gz (~2Gb pgdump) generated
over 30Gb of WAL files in /var/lib/pgsql/data/pg_xlog.

There is a message on the postgresql mailing list relating to this, a patch
is available as well as further improvements on the CVS tip to resovle this
issue.

http://fts.postgresql.org/db/mw/msg.html?mid=1028254

Comment 1 Trond Eivind Glomsrxd 2001-08-03 20:13:15 UTC
If a release of postgresql adds this, we'll have it. I don't want to add
restrictions for general use to handle a very specific case.

Comment 2 Trond Eivind Glomsrxd 2001-08-06 20:44:26 UTC
Believed to be fixed in postgresql-7.1.2-7, which contains various changes from
the 7.1-stable branch.

The packages are available for a limited time from http://people.redhat.com/teg/pg/


Note You need to log in before you can comment on or make changes to this bug.